Bug 830137 - Make ThinkPad's trackpoint to scroll with middle button by default
Make ThinkPad's trackpoint to scroll with middle button by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 06:45 EDT by Vít Ondruch
Modified: 2015-02-24 17:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-07 18:47:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-06-08 06:45:05 EDT
There were already few requests (443608, 469945, 476982, 504884, 505504, 752657) that scrolling by TrackPoint while pressed middle button does not work and it still doesn't work.

I know that there are some objections against [1] but IMO, the scrolling should be enabled by default, because the scrolling is enabled by default on Windows, where Lenovo provides their drivers and they do think that it is good default. Once you get used to it, you cannot stop using it. Switching between Windows and Fedora is very painful because of this missing feature. So I am wondering why it should not be default on Fedora.

There are other proposals to solve this by custom package [2], but they are promptly denied as well.



[1] https://bugzilla.redhat.com/show_bug.cgi?id=505504#c8
[2] http://lists.fedoraproject.org/pipermail/devel/2012-May/167460.html
Comment 1 Fedora End Of Life 2013-04-03 14:03:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 tuxor 2014-09-30 10:22:08 EDT
Just wanted to add that this preference is standard in Ubuntu and it comes in really handy.

However, maybe an upstream solution would be more adequate (e.g. as a setting in Gnome https://bugzilla.gnome.org/show_bug.cgi?id=666998).
Comment 3 Peter Hutterer 2015-01-07 18:47:03 EST
closing this as WONTFIX. we're using the upstream defaults, the configuration option is there for those who want to enable it and long-term it's best to have this as part of the Gnome UI anyway.
Comment 4 Vít Ondruch 2015-01-08 03:24:10 EST
Peter, who is upstream? Would you mind to forward this issue into appropriate upstream tracker and reference it here?
Comment 5 Hans de Goede 2015-01-08 03:28:38 EST
(In reply to Peter Hutterer from comment #3)
> closing this as WONTFIX. we're using the upstream defaults, the
> configuration option is there for those who want to enable it and long-term
> it's best to have this as part of the Gnome UI anyway.

Note that with:

https://fedoraproject.org/wiki/Changes/LibinputForXorg

We will have middle button scrolling on trackpoints by default, and it will even work with the emulated middle button on the X240 / T440 thinkpads.
Comment 6 Vít Ondruch 2015-01-08 03:52:32 EST
(In reply to Hans de Goede from comment #5)

Wow, that is wonderful news! What is the ETA (since it was already approved by FESCo)?
Comment 7 Hans de Goede 2015-01-08 04:01:03 EST
(In reply to Vít Ondruch from comment #6)
> (In reply to Hans de Goede from comment #5)
> 
> Wow, that is wonderful news! What is the ETA (since it was already approved
> by FESCo)?

Hmm, that is a good question actually, I assume with ETA you mean when will it land in rawhide right? I would like to say soonish. I need to coordinate actually landing the change with some other people, I'll put that on my todo list.
Comment 8 Vít Ondruch 2015-01-08 04:14:49 EST
(In reply to Hans de Goede from comment #7)
> I assume with ETA you mean when will it land in rawhide right?

Correct

> I'll put that on my todo list.

Thanks. I'll be happy to test this particular feature ;)
Comment 9 Peter Hutterer 2015-02-24 17:17:15 EST
(In reply to Vít Ondruch from comment #4)
> Peter, who is upstream? Would you mind to forward this issue into
> appropriate upstream tracker and reference it here?

bit lat here, sorry: upstream is the xorg bugzilla on bugs.freedesktop.org, component Input/evdev. Note that I'm the upstream maintainer too, so if you file a bug I'll just swap hats and start arguing with the same arguments ;)


fwiw, we enabled libinput as a default in F22+ now (for new installations), the xorg-x11-drv-libinput driver is available in F21 and later.

Note You need to log in before you can comment on or make changes to this bug.